---
layout: post
title: US-RSE Newsletter
subtitle: October 2019 Newsletter
category: newsletter
tags: [newsletter, PEARC19, Learning-Lab, Code-of-Conduct, SC19, stories]
---


In this bi-monthly newsletter, we will share recent, current and
planned activities of the US-RSE Association. Newsletters will be
available on our [website](https://us-rse.org/newsletters/) beside the
growing resources and information on the US-RSE Association. A sign-up
option for our newsletter is available
[here](https://us-rse.org/join/).


## Report from PEARC19 

The BoF at PEARC19 was well attended with about 30
people. A main part of the discussion was about the definition of
RSEs. We would like to stay very inclusive, with members who see
themselves as RSEs and also people who are interested in supporting
the goals of US-RSE and RSE associations in general or are just
interested in knowing about efforts around the sustainability of
research software. The discussion revolved around beneficial
activities for the community and what US-RSE could provide. Feedback
included the need for sharing best and bad practices, lobbying RSE
positions to executives, networking, advertising of open jobs,
mentorship programs, platform for sharing expertise, interactions
between academia, industry and national labs and support organizations
in incentivizing good software engineering practices.


![alt text]({{ site.baseurl }}/assets/posts/2019-10-24-PEARC19-BOF.png "US-RSE BOF at PEARC19")

![alt text]({{ site.baseurl
 }}/assets/posts/2019-10-24-RSE-definition-missing.png "Responses to
 the missing componenets of the US-RSE Definition during BOF at
 PEARC19")
Results from PEARC19 interactive audience question “what is missing in the US-RSE definition?”


## Learning Lab at Gateways 2019

[Gateways 2019](https://sciencenode.org/event/Gateways%202019.php) took
place in September in San Diego and the conference offered Learning
Labs - conceptually a mixture of BoFs and break-out sessions - to spawn
discussions about topics suggested by participants. Sandra Gesing
suggested a learning lab about US-RSE and the lively discussion was
mainly around how US-RSE can support career paths in the US and help
with creating positions at institutions. One take-away is that
templates for job descriptions would be helpful for managers offering
RSE-like positions.

## Talk at 4th UK RSE Conference

As part of the “[RSE Worldwide: Sharing across
borders](https://rseconuk2019.sched.com/event/QP6S/rse-worldwide-sharing-across-borders)”
plenary session at [RSEConUK2019](https://society-rse.org/hello-world-2/), Daniel
S. Katz presented a lightning talk entitled “[US-RSE: Growing the
Community](https://static.sched.com/hosted_files/rseconuk2019/6a/US%20RSE%20RSEconUK2019%20Lightning%20Talk.pdf)”
and was part of the session’s panel discussion. The audience was
particularly interested in discussion about the scope of RSEs in the
US, as well as how we were growing and who we included.  

## Upcoming meetings 

### SC19 - Nov. 17-22, 2019 

If you’re planning to attend SC19, there will be two panels and a BOF
involving RSE leaders from the US and UK, and many other sessions of
interest to RSEs.  We’re also working on arranging an informal US-RSE
meeting (or more than one?)  during the conference - details TBA.  For
more information see the [US-RSE
blog](https://us-rse.org/2019-10-04-SC19/).  We hope you can join us!

### Community Call 

The next US-RSE community call is set for Tuesday, October 29, 2019 at
2pm ET. Looking forward to talking with you all!

Follow the [US-RSE
calendar](https://calendar.google.com/calendar/embed?src=kgh79lg13k1d8a2o1s6megfuhc%40group.calendar.google.com&ctz=America%2FNew_York)
of events to stay up to date.

## Code of Conduct

We now have an official [US-RSE code of
conduct](https://us-rse.org/code-of-conduct/). Thanks to everyone who
contributed. If you haven’t seen the final version, please take a few
minutes to review it.

## Recent Job Postings

These opportunities were recently posted to the [RSE Careers page](https://us-rse.org/jobs/):  

 - Scientific Research Software Developer: Caltech/JPL/Dartmouth  
 - Research Software Engineer - FTC: Warwick/UK  
 - Research Software Engineer/Senior Research Software Engineer: Brown University  


## RSE Stories

The [Research Software Engineer
Stories](https://us-rse.org/rse-stories/) is a new interview-style
podcast designed to spotlight the diverse and interesting people
within the RSE community.  Created and hosted by Vanessa Sochat, this
series of short and fun podcasts celebrates the uniqueness of the RSE
role by highlighting individuals and their stories.  This is one of
the ways we are working to provide some clarity to the questions “what
is an RSE?” and “who belongs in the US-RSE?”  The [first
episode](https://us-rse.org/rse-stories/2019/ian-cosden/) featured Ian
Cosden from Princeton University, the [second
episode](https://us-rse.org/rse-stories/2019/chris-dembia/) featured
Chris Dembia from Stanford University, and additional episodes are in
production.  If you are interested in participating as a guest, reach
out to Vanessa (@v) on the [US-RSE Slack]
Workspace(https://usrse.slack.com).

## Interesting Reads 

What you may have missed on the blog and Slack

On the theme of "[What is a Research Software
Engineer](https://cosden.github.io/what-is-an-rse)", Ian Cosden (star
of the inaugural episode of the [RSE-Stories
podcast](https://us-rse.org/rse-stories/)) has written a thoughtful
piece about what it means to work as an RSE at Princeton
University. And if you think that RSE's are all working in the
sciences, think again. Rebecca Koeser wrote a compelling piece, [Still
speaking in
Code](https://us-rse.org/blog/2019/rsk/still-speaking-code/), about
how she became an RSE in the Digital Humanities.

Jordan Perr-Sauer has started a [discussion on Slack around the
technical
resources](https://usrse.slack.com/archives/C8ZB01CGH/p1569519739040000)
US-RSE should maintain, things like surveys and reports, recommended
publication venues, standards, templates, and best practices for
RSEs. Vanessa Saurus created a nice tool to scoring and displaying how
well a repository meets some reproducibility goals and best practices
called [The Software
Checklist](https://us-rse.org/blog/2019/vsoch/software-checklist/).

## Get Involved

There are lots of ways to get involved with the US-RSE. Of course,
join us on Slack or volunteer for an interview with the RSE Stories
podcast. But we’re also looking for help in many other places. See the
most updated version of [list of
projects](https://docs.google.com/document/d/1jjVD0WkeeWZJI6yqSKyMdIjtClzolsxv75RkpLju17I/edit?usp=sharing)
and let us know how you’d like to help. Help with things like the
Website Committee, Social Media, and Community Engagement are all
needed.


